#include <iostream>

using namespace std;

int main()
{
    int x1,x2,y1,y2;
    cin>>x1>>y1>>x2>>y2;
    if (x1==x2)
    {
        cout<<"2";
        return 0;
    }
    if (y1==y2)
    {
        cout<<"2";
        return 0;
    }
    long long d1;
    long long d2;
    d1=x1-x2;
    d2=y1-y2;
    if (d1<0)
    {
        d1=-d1;
    }
    if (d2<0)
    {
        d2=-d2;
    }
    if (d1==d2)
    {
        cout<<"1";
        return 0;
    }
    else
    {
        cout<<"0";
        return 0;
    }
}